doctrine:
    dbal:
        connections:
            core:
                url: '%env(resolve:DATABASE_CORE_URL)%'
                profiling_collect_backtrace: '%kernel.debug%'
                use_savepoints: true            
            promohotel6:
                url: '%env(resolve:DATABASE_PROMOHOTEL6_URL)%'
                profiling_collect_backtrace: '%kernel.debug%'
                use_savepoints: true            
        default_connection: promohotel6
    orm:
        auto_generate_proxy_classes: true
        enable_lazy_ghost_objects: true
        #report_fields_where_declared: true
        #validate_xml_mapping: true
        #naming_strategy: doctrine.orm.naming_strategy.underscore_number_aware
        #auto_mapping: true
        default_entity_manager: promohotel6
        entity_managers:
            core:
                connection: core
                naming_strategy: doctrine.orm.naming_strategy.underscore_number_aware
                mappings:
                    App:
                        is_bundle: false
                        type: attribute
                        dir: '%kernel.project_dir%/src/Entity/Core'
                        prefix: 'App\Entity\Core'
                        alias: App            
            promohotel6:
                connection: promohotel6
                naming_strategy: doctrine.orm.naming_strategy.underscore_number_aware
                mappings:
                    App:
                        is_bundle: false
                        type: attribute
                        dir: '%kernel.project_dir%/src/Entity'
                        prefix: 'App\Entity'
                        alias: App
                filters:
                    softdelete:
                        class: App\Doctrine\SoftDeleteFilter
                        enabled: true
                dql:
                    string_functions:
                        DATE_FORMAT: App\Doctrine\DateFormat
                    datetime_functions:
                        MONTH: DoctrineExtensions\Query\Mysql\Month
                        YEAR: DoctrineExtensions\Query\Mysql\Year            

